package viewer;

/**
 * Network data that is used for calculations
 */
public class NetData {
    /**
     * Number of active nodes in the run
     */
    int nodesNum;
    /**
     * Length of package path
     */
    int depth;

    /**
     * Bad edges in the active network
     */
    boolean[][][] edges;

    /**
     * Early stop parameter. Calculations will stop if distance
     * goes under the value of this parameter
     */
    double targetDistance;
}