package viewer;

/**
 * Class containing calculated information about a specific step
 */
public class StepData {

    /**
     * Number of the step that this class represents
     */
    public int step;

    /**
     * Number of possible permutations in this step
     */
    public int permutations;

    /**
     * Distance between uniform distribution and distribution after this step
     */
    public double dist;

    /**
     * Distribution function.
     */
    public double[] distribution;

}